Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Set Image Folder

Sets or updates the folder_id for an image Deprecated: use PUT /api/v2/{team_slug}/{app_slug}/dam/media/folder instead.

PUT/api/v1/{team_slug}/{app_slug}/dam/images/{image_id}/folderdeprecated
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

image_idstringrequired

Image ID

Request body
requiredapplication/json

Folder details

folder_idstring
Responses
200

Image folder updated successfully

databooleanrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/dam/images/string/folder' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "folder_id": "string"
}'
Response
{
  "data": true,
  "details": [
    "string"
  ],
  "success": true
}